Page MenuHomePhabricator

[Regression pre-wmf.6] Cannot save any edit with VisualEditor getting error "The parameters "page" and "oldid" can not be used together."
Closed, ResolvedPublic1 Story Points

Description

Cannot save any edit with VisualEditor getting error "The parameters "page" and "oldid" can not be used together."

Event Timeline

Ryasmeen created this task.Dec 6 2016, 8:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 8:53 PM
Ryasmeen renamed this task from Cannot save any edit with VisualEditor getting error "The parameters "page" and "oldid" can not be used together." to [Regression pre-wmf.6] Cannot save any edit with VisualEditor getting error "The parameters "page" and "oldid" can not be used together.".Dec 6 2016, 8:56 PM

Change 325641 had a related patch set uploaded (by Anomie):
ApiVisualEditorEdit: ApiParse ignores 'page' when 'oldid' is supplied

https://gerrit.wikimedia.org/r/325641

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Dec 7 2016, 3:34 PM

Change 325641 merged by jenkins-bot:
ApiVisualEditorEdit: ApiParse ignores 'page' when 'oldid' is supplied

https://gerrit.wikimedia.org/r/325641

Anomie added a comment.Dec 8 2016, 4:25 PM

I'm pretty sure this is fixed now, but I can't easily test it in Beta Labs thanks to T152663: Gerrit not updating submodules in mediawiki/extensions.

demon added a subscriber: demon.Dec 8 2016, 5:26 PM

I'm pretty sure this is fixed now, but I can't easily test it in Beta Labs thanks to T152663: Gerrit not updating submodules in mediawiki/extensions.

You can always manually bump the submodule in the meta repo.

Jdforrester-WMF closed this task as Resolved.Dec 10 2016, 3:00 AM
Jdforrester-WMF assigned this task to Anomie.
Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF removed a project: Patch-For-Review.

I manually bumped all the submodules in the meta repo in rMEXT200b1bba109937207361ca73dc10ca416f98f4bc and it appears fixed. Thanks Brad!

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptDec 10 2016, 3:00 AM